Index: src/tests/functions.c
===================================================================
--- src/tests/functions.c	(revision a61fa0bb4d33f16f771b251ad68002307548ff91)
+++ src/tests/functions.c	(revision 358cba0900eb921a7db399e9c3784420b68b4090)
@@ -1,10 +1,10 @@
-// 
+//
 // Cforall Version 1.0.0 Copyright (C) 2016 University of Waterloo
 //
 // The contents of this file are covered under the licence agreement in the
 // file "LICENCE" distributed with Cforall.
-// 
-// functions.c -- 
-// 
+//
+// functions.c --
+//
 // Author           : Peter A. Buhr
 // Created On       : Wed Aug 17 08:39:58 2016
@@ -12,5 +12,5 @@
 // Last Modified On : Wed Jan 17 22:44:12 2018
 // Update Count     : 12
-// 
+//
 
 // ANSI function definitions
@@ -123,5 +123,5 @@
 
 static const int * f1() {}
-static [ const int ] f2() {}
+static [ * const int ] f2() {}
 static inline [ const * int ] f3() {}
 static inline [ const [ * int, int ] ] f4() {}
Index: src/tests/references.c
===================================================================
--- src/tests/references.c	(revision a61fa0bb4d33f16f771b251ad68002307548ff91)
+++ src/tests/references.c	(revision 358cba0900eb921a7db399e9c3784420b68b4090)
@@ -45,18 +45,4 @@
 }
 
-// --- temporary code needed to make array of references subscript work.
-extern "C" {
-  void ** __index(__attribute__ ((unused)) size_t sizeof_T, __attribute__ ((unused)) size_t alignof_T, void **x, ptrdiff_t y) {
-    return (void **)((char *)x+y*sizeof(void *));
-  }
-  void __ctor(void ***dst, void **src) {
-    *dst = src;
-  }
-}
-__attribute__((alias("__index"))) forall( dtype T | sized(T) ) T && ?[?]( T & * x, ptrdiff_t y );
-__attribute__((alias("__ctor"))) forall( dtype DT ) void ?{}( DT & * & dst, DT & * src);
-forall( dtype DT ) void ^?{}( DT & * & ) {}
-// --- end of temporary code
-
 int main() {
 	int x = 123456, x2 = 789, *p1 = &x, **p2 = &p1, ***p3 = &p2,
@@ -66,9 +52,9 @@
 	*p3 = &p1;                          // change p2
 	int y = 0, z = 11, & ar[3] = { x, y, z };    // initialize array of references
-	&ar[1] = &z;                        // change reference array element
-	typeof( ar[1] ) p = 3;              // is int, i.e., the type of referenced object
-	typeof( &ar[1] ) q = &x;            // is int *, i.e., the type of pointer
-	_Static_assert( sizeof( ar[1] ) == sizeof( int ), "Array type should be int." );   // is true, i.e., the size of referenced object
-	_Static_assert( sizeof( &ar[1] ) == sizeof( int *), "Address of array should be int *." ); // is true, i.e., the size of a reference
+	// &ar[1] = &z;                        // change reference array element
+	// typeof( ar[1] ) p = 3;              // is int, i.e., the type of referenced object
+	// typeof( &ar[1] ) q = &x;            // is int *, i.e., the type of pointer
+	// _Static_assert( sizeof( ar[1] ) == sizeof( int ), "Array type should be int." );   // is true, i.e., the size of referenced object
+	// _Static_assert( sizeof( &ar[1] ) == sizeof( int *), "Address of array should be int *." ); // is true, i.e., the size of a reference
 
 	((int*&)&r3) = &x;                  // change r1, (&*)**r3
@@ -136,3 +122,2 @@
 // tab-width: 4 //
 // End: //
-
